import java.awt.*;
import javax.swing.ImageIcon;

public class ShipPiece {
	private Image shipPieceAlive;
	private boolean shipIsDead;
	boolean isPlayer1; //booleano para determinar con que jugador se esta trabajando. true para player1, false para player2

	
	public ShipPiece(boolean isPlayer1) {
		this.isPlayer1 = isPlayer1;
		// pone la imagen correspondiente a cada jugador
		if (isPlayer1)
			shipPieceAlive = new ImageIcon("Player1.png").getImage();
		else
			shipPieceAlive = new ImageIcon("Player2.png").getImage();
		shipIsDead = false;
	}

	
	//pone una imagen que representa una pieza del barco
	public void setShipImage(String file) {
		shipPieceAlive = new ImageIcon(file).getImage();

	}

	//devuelve la imagen de la pieza del barco
	public Image getShipImage() {
		return shipPieceAlive;
	}

	//Destrute parte del barco, poniendo la imagen correspondiente
	public void destroy() {
		shipIsDead = true;
		if (isPlayer1) {
			setShipImage("Player1Hit.png");
		} else {
			setShipImage("Player2Hit.png");
		}
	}

	//devuelve si una pieza del barco es golpeado
	public boolean isDestroy() {
		return shipIsDead;
	}

}